Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Remove a market from a store group

Removes a market from a store group. The market must not have any prices attached to it within the store group. Returns the updated store group with remaining markets.

DELETE/api/v1/{team_slug}/{app_slug}/store-groups/{store_group_slug}/market/{market_slug}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
store_group_slugstringrequired

Store group slug

app_slugstringrequired

App slug

team_slugstringrequired

Team slug

market_slugstringrequired

Market slug

Responses
200

Market removed from store group successfully

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupWithMarketsrequired
Show properties
country_of_salestring | null
created_atstring
descriptionstring
idstring
marketsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupMarket[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupMarket
activeboolean
country_codesstring[] | null
created_atstring
currency_codestring
idstring
is_tax_exemption_eligibleboolean
is_tax_included_in_priceboolean
localestring
namestring
slugstring
updated_atstring | null
namestring
slugstring
store_typestring
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.enad.io/api/v1/string/string/store-groups/string/market/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "country_of_sale": "string",
    "created_at": "string",
    "description": "string",
    "id": "string",
    "markets": [
      {
        "active": true,
        "country_codes": [
          "string"
        ],
        "created_at": "string",
        "currency_code": "string",
        "id": "string",
        "is_tax_exemption_eligible": true,
        "is_tax_included_in_price": true,
        "locale": "string",
        "name": "string",
        "slug": "string",
        "updated_at": "string"
      }
    ],
    "name": "string",
    "slug": "string",
    "store_type": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}